H2O(8)

NAME
h2o - optimized HTTP/1.x, HTTP/2 server

SYNOPSIS
h2o [options]

DESCRIPTION
H2O is a performance-optimized HTTP/1.x and HTTP/2 web server. Designed from ground-up, the server takes full advantage of HTTP/2 features including prioritized content serving and server push. This manual page describes the options supported by the h2o command. Note that H2O should in most cases be run as a system service (through a systemd(1) service or an initscript).

OPTIONS

-c, --conf FILE
    Configuration file (default: /etc/h2o/h2o.conf)

-m, --mode mode
    mode specifies one of the following modes:

    worker
        the h2o process will stay in the foreground and handle all incoming connections itself (default).

    master
        h2o will be started using the /usr/share/h2o/start_server helper; in this mode the start_server process will stay in the foreground and spawn an h2o worker process for handling incoming connections. SIGHUP can be sent to the master process to reconfigure or upgrade the server without service downtime.

    daemon
        spawns a master process in the background and exits. error-log must be configured when using this mode, as all errors are logged to the error log instead of output to standard error.

    test
        tests the configuration and exits

-t, --test
    Synonym of `--mode=test`

-v, --version
    Prints the version number

-h, --help
    Prints usage help.

SEE ALSO
The full documentation for h2o is available in the h2o-doc package, under /usr/share/doc/h2o.

AUTHOR

H2O was written by DeNa Co., Ltd. and Kazuho Oku and distributed under the MIT license. This manpage was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project, but may be used by others.